import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 *
 */
public class myBackYard extends World
{
    Player player;
    Target target;
    Enemy enemy1;
    Enemy enemy2;
    Enemy enemy3;;

    private int level = 0;
    
    /**
     * Constructs a myBackYard object.
     * 
     */
    public myBackYard()
    {    
       
        super(560, 560, 1); 
        Counter scoreCounter = new Counter("Score: ");
        addObject(scoreCounter, 50, 15);
        
        player = new Player();
        target = new Target();
        enemy1 = new Enemy();
        enemy2 = new Enemy();
        enemy3 = new Enemy();
        
        this.level = 0;
        
        startGame();
        changeLevel();
        changeSpeed();
        
        addObject(player, 280, 400);
        addObject(target, 280, 100);
        addObject(enemy1, 280, 200);
        addObject(enemy2, 140,100);
        addObject(enemy3, 420,100);
        
    }
    
    private void startGame()
    {
        level = 1;
    }
    
    public void changeLevel()
    {
       switch(this.level)
       {
           case 1:
                player.polarBear();
                target.aligator();
                enemy1.person();
                enemy2.person();
                enemy3.person();
                setBackground("polarbear_bg.jpg");
                startLevel();
                break;
           case 2:
                player.aligator();
                target.bigSnake();
                enemy1.polarBear();
                enemy2.polarBear();
                enemy3.polarBear();
                setBackground("aligator_bg.jpg");
                startLevel();              
                break;
           case 3:
                player.bigSnake();
                target.snake();
                enemy1.aligator();
                enemy2.aligator();
                enemy3.aligator();
                setBackground("bigsnake_bg.jpg");
                startLevel();
                break;
           case 4:
                player.snake();
                target.lizard();
                enemy1.bigSnake();
                enemy2.bigSnake();
                enemy3.bigSnake();
                setBackground("snake_bg.jpg");
                startLevel();
                break;
           case 5:
                player.lizard();
                target.frog();
                enemy1.snake();
                enemy2.snake();
                enemy3.snake();
                setBackground("lizard_bg.jpg");
                startLevel();
                break;
           case 6:
                player.frog();
                target.bee();
                enemy1.lizard();
                enemy2.lizard();
                enemy3.lizard();
                setBackground("frog_bg.jpg");
                startLevel();
                break;
           case 7:
                player.bee();
                target.spider();
                enemy1.frog();
                enemy2.frog();
                enemy3.frog();
                setBackground("bee_bg.jpg");
                startLevel();
                break;
           case 8:
                player.spider();
                target.fly();
                enemy1.bee();
                enemy2.bee();
                enemy3.bee();
                setBackground("spider_bg.jpg");
                startLevel();
                break;
           case 9:
                player.fly();
                target.bigAnt();
                enemy1.spider();
                enemy2.spider();
                enemy3.spider();
                setBackground("fly_bg.jpg");
                startLevel();
                break;
           case 10:
                player.bigAnt();
                target.ant();
                enemy1.fly();
                enemy2.fly();
                enemy3.fly();
                setBackground("bigant_bg.jpg");
                startLevel();
                break;
           case 11:
                Greenfoot.stop();
           default:
                break;
        }
    }
    
    private void changeSpeed()
    {
        enemy1.enemySpeed = this.level;
        enemy2.enemySpeed = this.level;
        enemy3.enemySpeed = this.level;
        target.targetSpeed = this.level * 0.8;
        player.playerSpeed = this.level * 1.2;
    }
    
    private void startLevel()
    {
        player.setLocation(280, 400);
        target.setLocation(280, 100);
        enemy1.setLocation(280, 200);
        enemy2.setLocation(140, 100);
        enemy3.setLocation(420, 100);
    }
    
    public int getLevel()
    {
        return(this.level);
    }
    
    public void increaseLevel()
    {
        this.level++;
    }
    
    public void setLevel(int testLevel)
    {
        this.level = testLevel;
    }
}
