import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Enemy here.
 * 
 * @author Matt Torrisi 
 * @version 11/19/11
 */
public class Enemy extends Animal
{
    /**
     * Act - do whatever the Enemy wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    
    static double enemySpeed;
    
    public void act() 
    {
        eatPlayer(); 
        turnRandom(); //has a 10 percent chance to turn randomly 
        move(enemySpeed); //will continue to move till hits world edge. 
    }  
    
    /**
     * Eat player
     */
    private void eatPlayer()
    {
        if (canSee(Player.class))
        {
            eat(Player.class);
            Greenfoot.stop();
        }
    }
}
